

-- 259 rows affected
select * from xe2008r2.dbo.eventsr2

-- 593 rows affected in Denali (now reflects ctp3)
select * from xe2008r2.dbo.eventsden e 

-- in Denali, not in 2008r2
-- 396 rows affected
-- 13 filestream.filetable, 4 sqlclr, 21 ucs (all new)
-- 14 new sqlos
-- 110 in old sqlserver guid (655...)
-- 234 in new sqlserver guid (03f...)
select * from xe2008r2.dbo.eventsden e 
where not exists 
(select * from xe2008r2.dbo.eventsr2 e2
 where e.[Full Name] = e2.[Full Name]
)
--and [Full Name] like 'sqlos%'
and guid = '03FDA7D0-91BA-45F8-9875-8B6DD0B8E9F2'

-- in 2008r2, not in Denali
-- 62 rows affected
-- 2 sqlos, 46 broker, 11 buffer pool
-- error_ring_buffer_recorded (1)
-- locks_lock_timeouts, locks_lock_timeouts_greater_than_0 (2)
select * from xe2008r2.dbo.eventsr2 e2 
where not exists 
(select * from xe2008r2.dbo.eventsden e
 where e.[Full Name] = e2.[Full Name] 
)

-- events are the same (by name) 197
-- 82 moved to new sqlserver guid
-- 66 stayed in old sqlserver guid
select * from xe2008r2.dbo.eventsden e 
where exists 
(select * from xe2008r2.dbo.eventsr2 e2
 where e.[Full Name] = e2.[Full Name]
)
and guid = '655FD93F-3364-40D5-B2BA-330F7FFB6491'

-- actions:
-- 37 in r2
select * from xe2008r2.dbo.actionsr2
-- 50 in denali
select * from xe2008r2.dbo.actions2012

-- 16 rows affected
select * from xe2008r2.dbo.actions2012 e 
where not exists 
(select * from xe2008r2.dbo.actionsr2 e2
 where e.[Full Name] = e2.[Full Name]
)

-- 3 actions removed from denali
-- database context removed, database name added
select * from xe2008r2.dbo.actionsr2 e2 
where not exists 
(select * from xe2008r2.dbo.actions2012 e
 where e.[Full Name] = e2.[Full Name] 
)

-- enums
-- 24 in r2
select * from xe2008r2.dbo.event_keywordsr2
-- 55 in denali
select * from xe2008r2.dbo.event_keywords2012

-- 43 new enums
select * from xe2008r2.dbo.event_keywords2012 e 
where not exists 
(select * from xe2008r2.dbo.event_keywordsr2 e2
 where e.[map_value] = e2.[map_value]
   and e.[map_key] = e2.[map_key]
)

-- 12 gone from r2, 43 - 12 = 31 new, 12 just changed value
select * from xe2008r2.dbo.event_keywordsr2 e 
where not exists 
(select * from xe2008r2.dbo.event_keywordsden e2
 where e.[map_value] = e2.[map_value]
   and e.[map_key] = e2.[map_key]
)

-- predicate sources
-- 29 in r2
select * from xe2008r2.dbo.predicate_source_r2
-- 44 in denali
select * from xe2008r2.dbo.predicate_source_2012

-- 16 new predicate sources
select * from xe2008r2.dbo.predicate_source_2012 e 
where not exists 
(select * from xe2008r2.dbo.predicate_source_r2 e2
 where e.[Full Name] = e2.[Full Name]
)

-- 1 missing from denali, changed name
select * from xe2008r2.dbo.predicate_source_r2 e 
where not exists 
(select * from xe2008r2.dbo.predicate_source_2012 e2
 where e.[Full Name] = e2.[Full Name]
)

-- predicate compare values
-- 111 r2
select * from xe2008r2.dbo.predicate_compare_r2
-- 77 denali
select * from xe2008r2.dbo.predicate_compare_2012

-- 6 new ones - direct string comparison
select * from xe2008r2.dbo.predicate_compare_2012 e 
where not exists 
(select * from xe2008r2.dbo.predicate_compare_r2 e2
 where e.[Full Name] = e2.[Full Name]
)

-- 40 gone, all string ptr and guid ptr
select * from xe2008r2.dbo.predicate_compare_r2 e 
where not exists 
(select * from xe2008r2.dbo.predicate_compare_2012 e2
 where e.[Full Name] = e2.[Full Name]
)

-- wait types
-- 604 r2
select * from xe2008r2.dbo.wait_typesr2
-- 782 denali
select * from xe2008r2.dbo.wait_types2012

-- 269 "new"
select * from xe2008r2.dbo.wait_types2012 e 
where not exists 
(select * from xe2008r2.dbo.wait_typesr2 e2
 where e.[map_value] = e2.[map_value]
   --and e.[map_key] = e2.[map_key]  -- note: lots of map keys changed
)

-- 91 "gone" 
select * from xe2008r2.dbo.wait_typesr2 e 
where not exists 
(select * from xe2008r2.dbo.wait_types2012 e2
 where e.[map_value] = e2.[map_value]
   -- and e.[map_key] = e2.[map_key] -- note: lots of map keys changed
)

-- 251 changed value
select * from xe2008r2.dbo.wait_typesden e 
where not exists 
(select * from xe2008r2.dbo.wait_typesr2 e2
 where e.[map_value] = e2.[map_value]
   --and e.[map_key] = e2.[map_key]
)