-- Maps are key-value pairs

select p.name + '.' + o.name as [Full Name], 
       o.description, v.map_key, v.map_value
from sys.dm_xe_objects o
join sys.dm_xe_packages p on o.package_guid = p.guid
join sys.dm_xe_map_values v on v.name = o.name
where o.object_type = 'map'
-- and v.name = 'lock_mode'
-- and p.name ='keyword_map'
order by p.name, o.name