

-- get the full names of all predicates
-- for use in CREATE/ALTER EVENT SESSION

-- predicate sources
-- 29 rows affected
-- 44 Denali
select p.name + '.' + o.name as [Full Name], 
       o.description 
	into   xe2008r2.dbo.predicate_source_2012
from sys.dm_xe_objects o
join sys.dm_xe_packages p on o.package_guid = p.guid
where o.object_type = 'pred_source' order by p.name, o.name

-- predicate compare
-- 111 rows affected
-- 77 Denali
select p.name + '.' + o.name as [Full Name], 
       o.description 
	   into xe2008r2.dbo.predicate_compare_2012
from sys.dm_xe_objects o
join sys.dm_xe_packages p on o.package_guid = p.guid
where o.object_type = 'pred_compare' order by p.name, o.name